Bug 1776394 - inconsistent cloud-credential operator monitoring config
Summary: inconsistent cloud-credential operator monitoring config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Joel Diaz
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-25 15:26 UTC by Luis Sanchez
Modified: 2020-05-04 11:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:16:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 143 0 'None' closed Bug 1776394: fix up ServiceMonitor CR 2020-11-04 21:20:41 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:17:24 UTC

Description Luis Sanchez 2019-11-25 15:26:56 UTC
Description of problem:

The cloud-credential-operator ServiceMonitor specifies 
`cco.openshift-cloud-credential-operator.svc` as the serverName 
for the metrics endpoint, but there is no `cco` service in the 
`openshift-cloud-credential-operator` namespace. 


Additional info:

The naming convention seems to be to name the service and the port `metrics`.

Comment 2 Oleg Nesterov 2019-12-16 09:42:17 UTC
Verified on 4.4.0-0.nightly-2019-12-14-103510

Comment 5 errata-xmlrpc 2020-05-04 11:16:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.